%define _disable_ld_no_undefined 1
%define	name	compiz-plugins-main
%define	version	0.9.7.2
%define	rel		1
%define	git		0

%if %{git}
%define	srcname		%{name}-%{git}.tar.xz
%define	distname	%{name}-%{git}
%define	release		%mkrel %{rel}.%{git}
%else
%define	srcname		%{name}-%{version}.tar.bz2
%define	distname	%{name}-%{version}
%define	release		%mkrel %{rel}
%endif

Summary:	Compiz Main Plugin Set for compiz
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/X11
URL:		http://www.compiz.org/

# get source from launchpad
# bzr branch lp:compiz-core
# pushd compiz-core
# bzr export --format=tar ../compiz-bzrcommit_id.tar
# popd
# xz -z -e compiz-bzrcommit_id.tar

Source0:	%{srcname}
Patch1:		0001-Use-appropriate-animation-for-screenlets.patch
Patch2:		0002-Use-a-more-Mandriva-y-blue-for-expo.patch



BuildRequires:		cmake
BuildRequires:		pkgconfig(dbus-1)
BuildRequires:		pkgconfig(compiz) >= %{version}
BuildRequires:		gettext-devel
BuildRequires:		intltool
BuildRequires:		pkgconfig(gconf-2.0)
BuildRequires:		pkgconfig(glu)
BuildRequires:		jpeg-devel
BuildRequires:		pkgconfig(pango)
BuildRequires:		boost-devel

Requires:			compiz
%rename				compiz-fusion-plugins-main

# they are not supported anymore and incompatible
# with current version of compiz.
# In the end, if someone revive them
# they'll go to this package so obsolete them.
Obsoletes:			compiz-fusion-plugins-unsupported



%description
This is the main plugin set from the Compiz community.

This is a combination of the Compiz Extras and Beryl communities

%files -f %{name}.lang
%{_libdir}/compiz/lib*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/colorfilter/*
%{_datadir}/compiz/mag/*
%{_datadir}/gconf/schemas/compiz-*.schemas
%{_datadir}/glib-2.0/schemas/org.freedesktop.compiz.*

#----------------------------------------------------------------------------

%package	devel
Summary:	Development files for Compiz Main Plugin Set for compiz
Group:		Development/X11
Requires:	%{name} = %{version}-%{release}
%rename		compiz-fusion-plugins-main-devel
Obsoletes:	compiz-fusion-plugins-unsupported-devel

%description devel
Development files for Compiz Main Plugin Set for compiz

%files devel
%{_includedir}/compiz/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch1
%patch2 -p1


%build
%cmake
%make

%install
%__rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
find %{buildroot} -name *.la -exec rm -f {} \;
%find_lang %{name}



#----------------------------------------------------------------------------


%changelog

* Thu Apr 26 2012 julien <julien> 0.9.7.2-1.mga2
+ Revision: 233366
- new version 0.9.7.2
- drop patch3, merged upstream

* Sun Mar 25 2012 fwang <fwang> 0.9.7.0-3.mga2
+ Revision: 226172
- rebuild for new compiz

  + julien <julien>
    - rebuild for new compiz
    - add upstream patch3 to fix build failure with compiz 0.9.7.2

* Sat Mar 03 2012 julien <julien> 0.9.7.0-1.mga2
+ Revision: 217400
- update to 0.9.7.0

* Thu Feb 23 2012 julien <julien> 0.9.7-0.bzr19.mga2
+ Revision: 212689
- update to latest bzr
- add an obsolete for old compiz plugins unsupported
- more meaningful description/summary

* Sun Feb 05 2012 julien <julien> 0.9.7-0.bzr16.mga2
+ Revision: 204846
- update to prerelease 0.9.7
- switch to launchpad as source
- add a rename for devel package as well

* Mon Jan 23 2012 mikala <mikala> 0.9.5.92-6.mga2
+ Revision: 199948
- Rebuild with the correct compiz version

* Sun Jan 22 2012 julien <julien> 0.9.5.92-5.mga2
+ Revision: 199864
- rebuild for new compiz

* Wed Nov 30 2011 julien <julien> 0.9.5.92-4.mga2
+ Revision: 174420
- rebuild for new compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-3.mga2
+ Revision: 172887
- rename compiz-fusion-plugins-main to compiz-plugins-main
- rename to be in line with upstream

* Mon Nov 07 2011 mikala <mikala> 0.9.5.92-2.mga2
+ Revision: 164615
- Add compiz-fusion-plugins-main as requires on -devel
- switch some BR to pkconfig()
- remove %%defattr()
- remove compiz-bcop as BR (compiz is now providing it)

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164380
- add BR on boost
- clean some warnings
- add a buildrequires on cmake
- update to version 0.9.5.92
- rediff patch 1 & 2

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113659
- update to version 0.8.8
 - cleanup specfile
 - move static libs to devel package

* Mon Feb 28 2011 eandry <eandry> 0.8.6-3.mga1
+ Revision: 61805
- clean spec
- fix url
- imported package compiz-fusion-plugins-main

